diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index ff250ed..4625cac 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -124313,7 +124313,8 @@ PolynomialGcdPackage(E,OV,R,P):C == T where
         degree p1 = 0 =>
             p1 = 0 => unitCanonical p2
             unitCanonical p1
-        lvar:List OV:=sort(#1>#2,setUnion(variables p1,variables p2))
+        lvar:List OV:=
+          sort((a:OV,b:OV):Boolean+->a>b,setUnion(variables p1,variables p2))
         empty? lvar =>
            raisePolynomial(gcd(lowerPolynomial p1,lowerPolynomial p2))
         (p2 exquo p1) case SUPP => unitCanonical p1
@@ -124471,7 +124472,7 @@ PolynomialGcdPackage(E,OV,R,P):C == T where
         f
 
       gcd(listp:List SUPP) : SUPP ==
-        lf:=sort(degree(#1)<degree(#2),listp)
+        lf:=sort((z1:SUPP,z2:SUPP):Boolean +-> degree(z1)<degree(z2),listp)
         f:=lf.first
         for g in lf.rest repeat
           f:=gcd(f,g)
diff --git a/changelog b/changelog
index a8f8cbd..f34cd1e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090613 tpd src/axiom-website/patches.html 20090613.01.tpd.patch
+20090613 tpd books/bookvol10.4 PGCD +-> conversion
 20090612 tpd src/axiom-website/patches.html 20090612.06.tpd.patch
 20090612 tpd books/bookvol10.4 POLY2 +-> conversion
 20090612 tpd src/axiom-website/patches.html 20090612.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 38556fd..fb2b186 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1559,5 +1559,7 @@ bookvol10.4 PFBR +-> conversion<br/>
 bookvol10.4 PFBRU +-> conversion<br/>
 <a href="patches/20090612.06.tpd.patch">20090612.06.tpd.patch</a>
 bookvol10.4 POLY2 +-> conversion<br/>
+<a href="patches/20090613.01.tpd.patch">20090613.01.tpd.patch</a>
+bookvol10.4 PGCD +-> conversion<br/>
  </body>
 </html>
